GDB (xrefs)

Public Attributes | List of all members
nios2_unwind_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | cfa
CORE_ADDR | pc
int | return_regnum
struct reg_value | reg_value [NIOS2_NUM_REGS]
struct reg_saved | reg_saved [NIOS2_NUM_REGS]

## Detailed Description

Definition at line 82 of file nios2-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR nios2_unwind_cache::base

Definition at line 85 of file nios2-tdep.c.

Referenced by nios2_analyze_prologue(), nios2_frame_base_address(), nios2_frame_this_id(), and nios2_init_cache().

## ◆ cfa

CORE_ADDR nios2_unwind_cache::cfa

Definition at line 89 of file nios2-tdep.c.

Referenced by nios2_analyze_prologue(), nios2_frame_prev_register(), nios2_frame_this_id(), and nios2_init_cache().

## ◆ pc

CORE_ADDR nios2_unwind_cache::pc

Definition at line 92 of file nios2-tdep.c.

Referenced by nios2_frame_this_id(), nios2_frame_unwind_cache(), and nios2_init_cache().

## ◆ reg_saved

struct reg_saved nios2_unwind_cache::reg_saved[NIOS2_NUM_REGS]

Definition at line 101 of file nios2-tdep.c.

Referenced by nios2_analyze_prologue(), nios2_frame_prev_register(), and nios2_setup_default().

## ◆ reg_value

struct reg_value nios2_unwind_cache::reg_value[NIOS2_NUM_REGS]

Definition at line 98 of file nios2-tdep.c.

Referenced by nios2_analyze_prologue(), and nios2_setup_default().

## ◆ return_regnum

int nios2_unwind_cache::return_regnum

Definition at line 95 of file nios2-tdep.c.

Referenced by nios2_analyze_prologue(), nios2_frame_prev_register(), and nios2_init_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nios2-tdep.c